+++
title = "Projects"
id = "projects"
+++

Over the years I have worked on and contributed to various projects in the Android community. I am currently a project maintainer for [Android Password Store](https://github.com/zeapo/Android-Password-Store). My personal projects can be found on [GitHub](https://github.com/msfjarvis),
some of the prominent ones are:

- [Viscerion](https://github.com/msfjarvis/viscerion): Android client for the WireGuard™️  VPN protocol. Built with Android Jetpack and Kotlin.
- [floating-action-button](https://github.com/msfjarvis/floating-action-button): Android library for drawing expandable Floating Action Buttons that conform to the material spec. Fully written in Kotlin and used in production in [Hyperion launcher](https://play.google.com/store/apps/details?id=projekt.launcher).
- [Caesium Kernel for the Pixel 2/2XL](https://github.com/msfjarvis/wahoo): A custom kernel for the Google Pixel 2/2XL with similar principles.

I engage in multiple sysadmin and DevOps related activities as well to hone my skills.

- All my sites and applications are self-hosted using [Caddyserver](https://caddyserver.com/) and Systemd, the configurations for which are impeccably maintained under git at [msfjarvis/server-config](https://github.com/msfjarvis/server-config).
- I also maintain a set of adblocking lists on [GitHub](https://github.com/msfjarvis/hosts) and the release artifacts can be found [here](https://dl.msfjarvis.website/adblock) where they're available in multiple formats depending on the software stack of users.

I've also developed a recent infatuation with [Docker](https://docker.com), and developed the following images for various usecases of mine

- [docker-zulu-jdk](https://github.com/msfjarvis/docker-zulu-jdk): Packaging of [Zulu](https://www.azul.com/downloads/zulu/), a OpenJDK release channel of tested and verified builds under the latest Ubuntu and Alpine Linux distributions.
- [drone-decrypt-files](https://github.com/msfjarvis/drone-decrypt-files): A simple plugin for [Drone CI](https://drone.io) that allows storing encrypted blobs in the VCS repository for CI to decrypt into usable artifacts like signing keys.
